Hashes
Utilities » Function Objects
Collaboration diagram for Hashes:

## Classes

struct | std::hash< _Tp >
struct | std::hash< _Tp * >
struct | std::hash< bool >
struct | std::hash< char >
struct | std::hash< char16_t >
struct | std::hash< char32_t >
struct | std::hash< double >
struct | std::hash< float >
struct | std::hash< int >
struct | std::hash< long >
struct | std::hash< long double >
struct | std::hash< long long >
struct | std::hash< short >
struct | std::hash< signed char >
struct | std::hash< unsigned char >
struct | std::hash< unsigned int >
struct | std::hash< unsigned long >
struct | std::hash< unsigned long long >
struct | std::hash< unsigned short >
struct | std::hash< wchar_t >

## Macros

#define | _Cxx_hashtable_define_trivial_hash(_Tp)

## Typedefs

typedef _Result result_type | std::__hash_base< _Result, _Arg >::_GLIBCXX17_DEPRECATED
typedef _Arg argument_type | std::__hash_base< _Result, _Arg >::_GLIBCXX17_DEPRECATED

## Functions

template<typename _Tp >
static size_t | std::_Hash_impl::__hash_combine (const _Tp &__val, size_t __hash)
template<typename _Tp >
static size_t | std::_Fnv_hash_impl::__hash_combine (const _Tp &__val, size_t __hash)
template<typename _Tp >
static size_t | std::_Hash_impl::hash (const _Tp &__val)
template<typename _Tp >
static size_t | std::_Fnv_hash_impl::hash (const _Tp &__val)
static size_t | std::_Hash_impl::hash (const void *__ptr, size_t __clength, size_t __seed=static_cast< size_t >(0xc70f6907UL))
static size_t | std::_Fnv_hash_impl::hash (const void *__ptr, size_t __clength, size_t __seed=static_cast< size_t >(2166136261UL))
size_t | std::hash< _Tp * >::operator() (_Tp *__p) const noexcept
size_t | std::__hash_enum< _Tp, true >::operator() (_Tp __val) const noexcept
size_t | std::hash< bool >::operator() (bool __val) const noexcept
size_t | std::hash< char >::operator() (char __val) const noexcept
size_t | std::hash< char16_t >::operator() (char16_t __val) const noexcept
size_t | std::hash< char32_t >::operator() (char32_t __val) const noexcept
size_t | std::hash< double >::operator() (double __val) const noexcept
size_t | std::hash< float >::operator() (float __val) const noexcept
size_t | std::hash< int >::operator() (int __val) const noexcept
size_t | std::hash< long >::operator() (long __val) const noexcept
size_t | std::hash< long double >::operator() (long double __val) const noexcept
size_t | std::hash< long long >::operator() (long long __val) const noexcept
size_t | std::hash< short >::operator() (short __val) const noexcept
size_t | std::hash< signed char >::operator() (signed char __val) const noexcept
size_t | std::hash< unsigned char >::operator() (unsigned char __val) const noexcept
size_t | std::hash< unsigned int >::operator() (unsigned int __val) const noexcept
size_t | std::hash< unsigned long >::operator() (unsigned long __val) const noexcept
size_t | std::hash< unsigned long long >::operator() (unsigned long long __val) const noexcept
size_t | std::hash< unsigned short >::operator() (unsigned short __val) const noexcept
size_t | std::hash< wchar_t >::operator() (wchar_t __val) const noexcept

## Variables

static constexpr bool | std::__poison_hash< _Tp, typename >::__enable_hash_call
static constexpr bool | std::__poison_hash< _Tp, __void_t< decltype(hash< _Tp >()(declval< _Tp >()))> >::__enable_hash_call

## Detailed Description

Hashing functors taking a variable type and returning a `std::size_t`.